Skip to main content
POST
/
api
/
v1
/
subscriptions
/
{id}
/
cancel
JavaScript
import Stigg from '@stigg/typescript';

const client = new Stigg({
  apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});

const subscription = await client.v1.subscriptions.cancel('x');

console.log(subscription.data);
import os
from stigg import Stigg

client = Stigg(
    api_key=os.environ.get("STIGG_API_KEY"),  # This is the default and can be omitted
)
subscription = client.v1.subscriptions.cancel(
    id="x",
)
print(subscription.data)
package main

import (
	"context"
	"fmt"

	"github.com/stiggio/stigg-go"
	"github.com/stiggio/stigg-go/option"
)

func main() {
	client := stigg.NewClient(
		option.WithAPIKey("My API Key"),
	)
	subscription, err := client.V1.Subscriptions.Cancel(
		context.TODO(),
		"x",
		stigg.V1SubscriptionCancelParams{},
	)
	if err != nil {
		panic(err.Error())
	}
	fmt.Printf("%+v\n", subscription.Data)
}
package io.stigg.example;

import io.stigg.client.StiggClient;
import io.stigg.client.okhttp.StiggOkHttpClient;
import io.stigg.models.v1.subscriptions.Subscription;
import io.stigg.models.v1.subscriptions.SubscriptionCancelParams;

public final class Main {
    private Main() {}

    public static void main(String[] args) {
        StiggClient client = StiggOkHttpClient.fromEnv();

        Subscription subscription = client.v1().subscriptions().cancel("x");
    }
}
require "stigg"

stigg = Stigg::Client.new(api_key: "My API Key")

subscription = stigg.v1.subscriptions.cancel("x")

puts(subscription)
using System;
using Stigg.Client;
using Stigg.Client.Models.V1.Subscriptions;

StiggClient client = new();

SubscriptionCancelParams parameters = new() { ID = "x" };

var subscription = await client.V1.Subscriptions.Cancel(parameters);

Console.WriteLine(subscription);
stigg v1:subscriptions cancel \
  --api-key 'My API Key' \
  --id x
curl --request POST \
  --url https://api.stigg.io/api/v1/subscriptions/{id}/cancel \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "endDate": "2023-11-07T05:31:56Z",
  "prorate": true
}
'
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.stigg.io/api/v1/subscriptions/{id}/cancel",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'endDate' => '2023-11-07T05:31:56Z',
    'prorate' => true
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-KEY: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{
  "data": {
    "id": "<string>",
    "customerId": "<string>",
    "billingId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "startDate": "2023-11-07T05:31:56Z",
    "planId": "<string>",
    "payingCustomerId": "<string>",
    "resourceId": "<string>",
    "endDate": "2023-11-07T05:31:56Z",
    "effectiveEndDate": "2023-11-07T05:31:56Z",
    "cancellationDate": "2023-11-07T05:31:56Z",
    "trialEndDate": "2023-11-07T05:31:56Z",
    "metadata": {},
    "currentBillingPeriodStart": "2023-11-07T05:31:56Z",
    "currentBillingPeriodEnd": "2023-11-07T05:31:56Z",
    "billingCycleAnchor": "2023-11-07T05:31:56Z",
    "prices": [],
    "addons": [],
    "coupons": [],
    "futureUpdates": [],
    "budget": {
      "limit": 123,
      "hasSoftLimit": true
    },
    "minimumSpend": {
      "amount": 123
    },
    "subscriptionEntitlements": [],
    "latestInvoice": {
      "billingId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "requiresAction": true,
      "total": 123,
      "amountDue": 123,
      "currency": "<string>",
      "pdfUrl": "<string>"
    },
    "trial": {}
  }
}
{
  "message": "<string>"
}
{
  "message": "<string>",
  "code": "Unauthenticated"
}
{
  "message": "<string>"
}
{
  "message": "<string>"
}
{
  "message": "<string>",
  "code": "RateLimitExceeded"
}

Authorizations

X-API-KEY
string
header
required

Server API Key

Headers

X-ACCOUNT-ID
string

Account ID — optional when authenticating with a user JWT (Bearer token); falls back to the user's first membership. Ignored for API-key auth.

X-ENVIRONMENT-ID
string

Environment ID — required when authenticating with a user JWT (Bearer token) on environment-scoped endpoints. Ignored for API-key auth (env is intrinsic to the key).

Path Parameters

id
string
required

The unique identifier of the entity

Required string length: 1 - 255

Body

application/json

Cancel a subscription with configurable timing and action. Supports immediate cancellation, end-of-period cancellation, or cancellation on a specific date with optional prorated refunds.

endDate
string<date-time>

Subscription end date

cancellationAction
enum<string>

Action on cancellation (downgrade or revoke)

Available options:
DEFAULT,
REVOKE_ENTITLEMENTS
cancellationTime
enum<string>

When to cancel (immediate, period end, or date)

Available options:
END_OF_BILLING_PERIOD,
IMMEDIATE,
SPECIFIC_DATE
prorate
boolean

If set, enables or disables prorating of credits on subscription cancellation.

Response

The subscription object reflecting the cancellation.

Response object

data
Subscription · object
required

Customer subscription to a plan